Skip to main content
`Ctrl`+`K`
scipy.stats.rv_histogram.

# entropy

rv_histogram.entropy(*args, **kwds)

  Differential entropy of the RV.

  Parameters:
    arg1, arg2, arg3,…array_like

      The shape parameter(s) for the distribution (see docstring of the instance object for more information).

    loc array_like, optional

      Location parameter (default=0).

    scale array_like, optional (continuous distributions only).

      Scale parameter (default=1).

  Notes

  Entropy is defined base e:

      >>> import numpy as np
      >>> from scipy.stats._distn_infrastructure import rv_discrete
      >>> drv = rv_discrete(values=((0, 1), (0.5, 0.5)))
      >>> np.allclose(drv.entropy(), np.log(2.0))
      True